MockitoJUnitRule
Date: 2015-09-18

org.mockito.junit

## Class MockitoJUnitRule

- java.lang.Object
- - org.mockito.junit.MockitoJUnitRule

- All Implemented Interfaces:
    org.junit.rules.MethodRule, MockitoRule

  Deprecated.

      @Deprecated
      public class MockitoJUnitRule
      extends java.lang.Object
      implements org.junit.rules.MethodRule, MockitoRule

  Please use `MockitoJUnit.rule()` instead of direct use. The reason of the deprecation is that we want to avoid concrete classes in the public api.
  Since:
    1.10.6
  See Also:
    `MockitoJUnit`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockitoJUnitRule()` Deprecated.
    `MockitoJUnitRule(java.lang.Object targetTest)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.junit.runners.model.Statement` | `apply(org.junit.runners.model.Statement base, org.junit.runners.model.FrameworkMethod method, java.lang.Object target)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockitoJUnitRule

          @Deprecated
          public MockitoJUnitRule()

      Deprecated.
      Please use `MockitoJUnit.rule()`. The reason of the deprecation is that we want to avoid concrete classes in the public api.

    - #### MockitoJUnitRule

          @Deprecated
          public MockitoJUnitRule(java.lang.Object targetTest)

      Deprecated.
      Please use `MockitoJUnit.rule()`. The reason of the deprecation is that we want to avoid concrete classes in the public api.

  - ### Method Detail

    - #### apply

          public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement base,
                                                org.junit.runners.model.FrameworkMethod method,
                                                java.lang.Object target)

      Deprecated.
      Specified by:
        `apply` in interface `org.junit.rules.MethodRule`